%define reltag _redhat_2
%define namedreltag -redhat-2
%global meadversion %{version}%{?reltag}
%global namedversion %{version}%{?namedreltag}

%bcond_without mead

%define maven_version 0.1.1-redhat-2

Name:           jtype
Version:        0.1.1
Release:        9%{?reltag}.3%{?dist}.4
Epoch:          0
Summary:        Library for working with the Java 5 type system
License:        ASL 2.0
URL:            http://jtype.googlecode.com
Group:          Development/Java

%if %with mead
Source100: com.googlecode.jtype-jtype-0.1.1-redhat-2-sources.zip
Source101: com.googlecode.jtype-jtype-0.1.1-redhat-2-patches.zip
Source102: jtype-0.1.1-redhat-2-sources.jar
Source103: jtype-0.1.1-redhat-2-javadoc.jar
Source104: jtype-0.1.1-redhat-2.pom
Source105: jtype-0.1.1-redhat-2.jar
%endif


Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Library for working with the Java 5 type system.

%if %without mead
%package javadoc
Summary:        Javadoc for jtype
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
ls -R %{_sourcedir}/
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap com.googlecode.jtype %{name} %{namedversion} JPP %{name}

# javadoc
%if %without mead
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.1.1-9_redhat_2.3.4
- Rebuild for MD5

* Thu Aug 16 2012 Paul Gier <pgier@redhat.com> - 0:0.1.1-8_redhat_2.3.4
- Update pom patch for eap 6.0.1 parent and bom

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.1.1-7_redhat_2.3.4
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.1.1-7_redhat_1.3.3
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.1.1-7_redhat_1.3.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.1.1-7_redhat_1.3.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:0.1.1-7_redhat_1.3
- Rebuild for RHEL-5

* Wed Apr 18 2012 Vladimir Dosoudil <vdosoudi@redhat.com> 0:0.1.1-6_redhat_1.3
- Fix versions of maven plugins

* Tue Mar 20 2012 Fernando Nasser <fnasser@redhat.com> 0:0.1.1-6_redhat_1.2
- Do not manually unsign JARs, this will be done by the build system

* Mon Mar 19 2012 Hui Wang <huwang@redhat.com> 0:0.1.1-6_redhat_1.1
- New Wrapper

* Fri Feb 10 2012 Fernando Nasser <fnasser@redhat.com> 0:0.1.1-5.1
- Resigned

* Fri Jan 20 2012 David Walluck <dwalluck@redhat.com> 0:0.1.1-5
- remove unused jtype-component-info.xml

* Fri Jan 20 2012 David Walluck <dwalluck@redhat.com> 0:0.1.1-4
- unsign jars in %%install

* Thu Jan 19 2012 David Walluck <dwalluck@redhat.com> 0:0.1.1-3
- actually write the .spec
- fix License

* Mon Sep 05 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.1.1-2_redhat_1
- Patched by vman
- Patched out jmock tests

* Fri Jun 17 2011 Strong Liu <stliu@redhat.com> 0:0.1.1-1.0
- Initial build
